#include <stdio.h>
#include <time.h>
#include <sys/time.h>
#ifdef _OPENMP
#  include <omp.h>
#endif

int main(int argc, char** argv)
{

#ifdef _OPENMP
    int thr_num;

    omp_set_num_threads(4);
    int list_of_thread_ids[4] = {0,0,0,0};
    
#pragma omp parallel private(thr_num, list_of_thread_ids) //shared(list_of_thread_ids)
    {
      thr_num = omp_get_thread_num();
      list_of_thread_ids[thr_num] = thr_num;
    };
    int i;
    printf("Elements inside list_of_thread_ids:\n");
    for (i=0; i<4; i++)
      {
        printf("%d\n", list_of_thread_ids[i]);
      };
#else
    printf("The program is not compiled with OpenMP\n");
#endif

  return 0;
}
